# Week 8

**This weeks quiz:** https://go.uwe.ac.uk/ctapQuiz

This week we will be introducing the python programming langauge, such that some of the key programming concepts are familiar. This weeks **first lecture** will be on Python and will be an interactive session, so bring your laptop and follow along if you like.

This weeks **second lecture** will be preparation for next weeks first piece of work looking at computational thinking. Please be sure to attend this session as it will allow us to ensure everyone has been introduced to these topics before practical sessions.

## This week you are working on...

- Beginning to learn the python programming language
- Documenting some python code to use as a reference for yourself by following the practical exercises.

*Optionally*
For those already familiar with python you an explore the practical extensions.
> NOTE: These are designed to challenge those with existing knowledge and are not a required part of this module.

## Have already completed ...

You should have completed the setup by now. If not please address this as quickly as possible by following the [setup guide and ensuring you have done everything on the checklist](https://gitlab.uwe.ac.uk/ctap/ctap-resources/-/blob/main/guides/setup.md?ref_type=heads).

## By the end of the week...

... you should have completed:

- Experimented with writing markdown and python inside of the `ctap-portfolio/practicals` folder

## Resources
- week8/practical8 
- [Setup Guide](https://gitlab.uwe.ac.uk/ctap/ctap-resources/-/blob/main/guides/setup.md?ref_type=heads)
- [Markdown Guide](https://gitlab.uwe.ac.uk/ctap/ctap-resources/-/blob/main/guides/markdown.md?ref_type=heads)

### External resources
- [Learn Python .org's interactive python tutorials](https://www.learnpython.org/)
- W3 schools [tutorial and reference](https://www.w3schools.com/python/)
- Raspberry Pi Foundation [tutorials](https://projects.raspberrypi.org/en/pathways/python-intro?gclid=Cj0KCQjwpompBhDZARIsAFD_Fp8FpuLGfd6v863VziU4rGdV-ZHkcnu-bhjB0KuGS1fyYLBHiXpazGcaAnGuEALw_wcB)
## Videos

- [Python in 100 seconds](https://www.youtube.com/watch?v=x7X9w_GIm1s)
- Learn [python in 1 hour](https://www.youtube.com/watch?v=kqtD5dpn9C8)
- Python [Bad habits you need to ditch!](https://www.youtube.com/watch?v=qUeud6DvOWI)
- [Functional programming in python series ](https://www.youtube.com/watch?v=xJCPpDlk9_w&list=PLP8GkvaIxJP1z5bu4NX_bFrEInBkAgTMr)(Advanced)